Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class InflatableSet

`java.lang.Object
java.util.AbstractCollection
com.tangosol.util.InflatableCollection
com.tangosol.util.InflatableSet`

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.Set

      public class InflatableSet

extends InflatableCollection
implements java.util.Set

Specialization of InflatableCollection that surfaces as a Set.

Since:
  Coherence 3.6
Author:
  ch 2009.11.22

Field Summary

Fields inherited from class com.tangosol.util.InflatableCollection
`m_colValue, m_oValue, NO_VALUE`

Constructor Summary
`InflatableSet()`

Method Summary
`protected java.util.Collection` | `instantiateCollection()` Create a new expanded set.

Methods inherited from class com.tangosol.util.InflatableCollection
`add, clear, contains, equals, hashCode, iterator, remove, size, toArray, toArray`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, isEmpty, removeAll, retainAll, toString`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### InflatableSet

    public InflatableSet()

Method Detail

### instantiateCollection

    protected java.util.Collection instantiateCollection()

  Create a new expanded set. By default we use the SegmentedHashSet.
  Specified by:
    `instantiateCollection` in class `InflatableCollection`
  Returns:
    a "real" implementation to use if this set is expanded

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.